
var originalList = [];
var originalWaveChart = echarts.init(document.getElementById("originalWaveChart"));
var options = {
      visualMap: {
          show:false,
          max: 100,
          inRange: {
              color: ['#070688', '#2794c5', '#12c9b2', '#25c37a', '#aec62f', '#c1c334', '#d186c5', '#cf79c1', '#ce70c2', '#cf71bf', '#cf71be','#cd71be']                    }
      },
      grid3D:{
            boxDepth: 120,
            boxWidth: 128,
            boxHeight: 100,
            top: '-20%',
            width:'100%',
            height: '120%',
          light: {
              main: {
                  shadow: true,
                  quality: 'ultra',
                  intensity: 1.5
              },
              ambient: {
                  intensity: 0.5
              }
          },
          viewControl:{
              alpha: 2,
              beta: 62,
              distance:225,
              rotateSensitivity:0,
              zoomSensitivity:0,
              panSensitivity:0,
          },

      },
      xAxis3D: {
          type: 'value',
          name:'',
          splitLine:{
              show:false
          },
          axisTick:{
              show:false
          },
          axisLabel:{
              show:false
          },
          axisLine: {
              lineStyle: { color: '#383E4F' }
          },max:128
      },
      yAxis3D: {
          type: 'value',
          name:'',
          splitLine:{
              show:false
          },
          axisTick:{
              show:false
          },
          axisLabel:{
              textStyle:{
                  color:'#ADADAD'
              },
              margin:5
          },
          axisLine: {
              lineStyle: { color: '#383E4F' }
          },
          max:120
      },
      zAxis3D: {
          type: 'value',
          name:'',
          splitLine:{
              show:false
          },
          axisLabel:{
              textStyle:{
                  color:'#ADADAD'
              },
              margin:12
          },
          axisLine: {
              lineStyle: { color: '#383E4F' }
          },
          max: 50
      },

      series: [
          // {
          //     type: 'bar3D',
          //     data: originalList.map(function (item) {
          //         return {
          //             value: [item[1], item[0], item[2]],
          //         }
          //     }),
          //     shading: 'lambert',
          //     barSize:1,
          //     label: {
          //         textStyle: {
          //             fontSize: 16,
          //             borderWidth: 1
          //         }
          //     }
          // }
          {
              type: 'surface',
              silent: true,
              wireframe: {
                  show: false
              },
              equation: {
                  x: {
                      step: 0.1,
                      min: -3,
                      max: 3,
                  },
                  y: {
                      step: 0.1,
                      min: -3,
                      max: 3,
                  },
                  z: function (x, y) {
                      return Math.sin(x * x + y * y) * x / 3.14
                  }
              },
              data:originalList
          }
      ],
  }
originalWaveChart.setOption(options);

function pushData(index, time, value){
    options.series[0].data.push([index, time, value])
}

function updateData(){
    originalWaveChart.setOption(options);
}

function initData(){

    options.series[0].data = [];
    originalWaveChart.setOption(options);
}